#
# spec file for package vlgothic-fonts
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           vlgothic-fonts
Version:        20220612
Release:        2.4
Summary:        VL-Gothic TrueType font family
License:        BSD-3-Clause AND mplus
Group:          System/X11/Fonts
URL:            http://vlgothic.dicey.org/
Source0:        https://en.osdn.net/dl/vlgothic/VLGothic-%{version}.tar.xz
BuildRequires:  fontpackages-devel
BuildRequires:  xz
Provides:       scalable-font-ja
Provides:       vlgothic = %{version}
Provides:       locale(ja)
Obsoletes:      vlgothic <= 20110722
BuildArch:      noarch
%reconfigure_fonts_prereq

%description
This package provides "VLGothic" Japanese TrueType fonts which are
based on the M+ fonts and the Sazanami fonts.

%prep
%setup -q -n VLGothic

%build

%install
mkdir -p %{buildroot}%{_ttfontsdir}
for i in *.ttf
do
    install -m 644 $i %{buildroot}%{_ttfontsdir}
done

%reconfigure_fonts_scriptlets -c

%files
%license LICENSE*
%doc README* Changelog*
%{_ttfontsdir}

%changelog
* Wed Jan 25 2023 Dirk Müller <dmueller@suse.com>
- spec-cleaner run
- fix URL
* Thu Jan  5 2023 Dirk Müller <dmueller@suse.com>
- update to 20220612:
  * Fix character width setting (OS/2 table) of VL-Gothic
  Force xAvgCharWidth of his OS/2 table by fontforge's
  auto-setting to a fixed value that is not expected
* Sat May  7 2022 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 2020/07/20
  * Fixed interchanged glyphs for U+23F4 and U+23F5
  * Fixed wrong glyph for 🙃 U+1F643 UPSIDE-DOWN FACE
  * Fixed wrong glyph for 🐿 U+1F43F CHIPMUNK
  * Fixed incorrect character widths of several latin1 symbols
  * Fixed wrong glyphs fror U+2BF2 and U+2BF3
  * add/fix some Greek Letter
  * Add Greek Capital Letter Yot (U+037F)
  * Fix Greek Small Letter Digamma (U+03dd)
  * Fix Small Digamma misplacing
- Update to version 2020/07/19
  * Fixed glyphs U+9304 and U+32FF
- Update to version 2014/12/06
  * Add Miscellaneous Symbols and Arrows U+2B60〜2BA7
* Thu Sep 17 2015 pgajdos@suse.com
- fix build for sle11
* Mon Sep  1 2014 ftake@geeko.jp
- updated to version 20140801
  * new glyphs including Unicode emoji
  * update M+ part to the latest CVS HEAD
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Fri Jun  1 2012 ftake@geeko.jp
- updated to version 20120325
  * new glyphs
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Mon Apr  2 2012 cfarrell@suse.com
- license update: BSD-3-Clause and SUSE-mplus
  See the LICENSE file
* Wed Dec 21 2011 tiwai@suse.de
- Renamed vlgothic -> vlgothic-fonts according to
  openSUSE packaging guidelines and FATE#313035
  Adjusted Obsoletes and Provides accordingly
- Add prereq macro
* Wed Sep 28 2011 ftake@geeko.jp
- updated to version 20110722
  * imported a lot of glyphs from M+ fonts
  * fixed glyphs and updated font metrics
* Tue Jul 27 2010 tiwai@suse.de
- updated to version 20100416
  a few glyphs fixes
* Wed Mar 31 2010 tiwai@suse.de
- updated to version 20100126
  Lots of glyph fixes; see Changelog file for details
- removed unneeded dependency on xorg-x11-devel
* Tue Jul 21 2009 tiwai@suse.de
- updated to version 20090710
  * update M+1C,IM part of VL-PGothic/VL-Gothic
  * fix kanji glyphs of VL-PGothic/VL-Gothic
* Mon Jan 26 2009 mfabian@suse.de
- copy Takashi Iwai’s package to Factory.
* Fri Jan 16 2009 tiwai@suse.de  
- updated to version 20090108
* Thu Nov 27 2008 tiwai@suse.de  
- own fontdir itself (11.1 caused a build error)
* Fri Jun 27 2008 tiwai@suse.de  
- initial version: 20080624
